aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/howl
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/howl
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/howl')
-rwxr-xr-xrecipes/howl/files/mdnsresponder.init56
-rw-r--r--recipes/howl/howl-1.0.0/configure.patch11
-rw-r--r--recipes/howl/howl-1.0.0/posix.patch20
-rw-r--r--recipes/howl/howl_0.9.7.bb5
-rw-r--r--recipes/howl/howl_1.0.0.bb28
5 files changed, 120 insertions, 0 deletions
diff --git a/recipes/howl/files/mdnsresponder.init b/recipes/howl/files/mdnsresponder.init
new file mode 100755
index 0000000000..98312dfee1
--- /dev/null
+++ b/recipes/howl/files/mdnsresponder.init
@@ -0,0 +1,56 @@
+#!/bin/sh
+#
+# mDNSResponder: Starts the mDNSResponder Daemon
+#
+# This is an init script for Debian by Reed Hedges, based on the skeleton by
+# Miguel van Smoorenburg and Ian Murdock, and based on the original mDNSResponder
+# script from Howl.
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/mDNSResponder
+NAME=mDNSResponder
+DESC="Zeroconf service discovery responder"
+PIDFILE=/var/run/${NAME}.pid
+LOCKFILE=/var/lock/subsys/${NAME}
+CONFIG=/etc/mdnsresponder/mDNSResponder.conf
+
+test -x $DAEMON || exit 0
+
+start() {
+ echo -n $"Starting $DESC: $NAME"
+ start-stop-daemon --start --quiet -u daemon --exec $DAEMON -- -f $CONFIG
+ echo "."
+}
+
+stop() {
+ echo -n $"Stopping $DESC: $NAME"
+ start-stop-daemon --stop --quiet --exec $DAEMON
+ test -f $LOCKFILE && rm -f $LOCKFILE
+ test -f $PIDFILE && rm -f $PIDFILE
+ echo "."
+}
+
+restart() {
+ stop
+ sleep 1
+ start
+}
+
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|force-reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit 0
diff --git a/recipes/howl/howl-1.0.0/configure.patch b/recipes/howl/howl-1.0.0/configure.patch
new file mode 100644
index 0000000000..a1c0c2b57e
--- /dev/null
+++ b/recipes/howl/howl-1.0.0/configure.patch
@@ -0,0 +1,11 @@
+--- configure.ac.old 2005-05-20 14:36:48.000000000 +0100
++++ configure.ac 2005-05-20 14:36:54.000000000 +0100
+@@ -25,7 +25,7 @@
+ HOWL_LIB_OBJECTS='posix_salt.lo posix_socket.lo posix_time.lo posix_signal.lo posix_interface.lo notosx_mdns_stub.lo'
+ MDNSRESPONDER_LIB_SUBDIRS="Posix"
+ MDNSRESPONDER_LIB_OBJECTS='posix_mdns.lo'
+- AUTOIPD_EXTRA_OBJECTS='$(top_builddir)/src/autoipd/linux_autoip.lo $(top_builddir)/src/autoipd/posix_main.lo'
++ AUTOIPD_EXTRA_OBJECTS='$(top_builddir)/src/autoipd/linux_autoip.o $(top_builddir)/src/autoipd/posix_main.o'
+ PLATFORM_LIBS=-lpthread
+ HOWL_MAN_PAGES='mDNSResponder.8 autoipd.8 nifd.8'
+ ;;
diff --git a/recipes/howl/howl-1.0.0/posix.patch b/recipes/howl/howl-1.0.0/posix.patch
new file mode 100644
index 0000000000..f4dd7d349c
--- /dev/null
+++ b/recipes/howl/howl-1.0.0/posix.patch
@@ -0,0 +1,20 @@
+--- src/lib/howl/Posix/posix_interface.c.old 2005-05-20 14:26:34.000000000 +0100
++++ src/lib/howl/Posix/posix_interface.c 2005-05-20 14:26:35.000000000 +0100
+@@ -37,10 +37,16 @@
+ #include <stdio.h>
+
+ #if defined(__linux__)
+-typedef unsigned long long u64;
++typedef __uint64_t u64;
+ typedef __uint32_t u32;
+ typedef __uint16_t u16;
+ typedef __uint8_t u8;
++
++typedef __uint64_t __u64;
++typedef __uint32_t __u32;
++typedef __uint16_t __u16;
++typedef __uint8_t __u8;
++
+ # include <linux/sockios.h>
+ # include <linux/ethtool.h>
+ #endif
diff --git a/recipes/howl/howl_0.9.7.bb b/recipes/howl/howl_0.9.7.bb
new file mode 100644
index 0000000000..d798d173b4
--- /dev/null
+++ b/recipes/howl/howl_0.9.7.bb
@@ -0,0 +1,5 @@
+SRC_URI = "http://www.porchdogsoft.com/download/howl-${PV}.tar.gz"
+LICENSE = "howl"
+
+inherit autotools
+
diff --git a/recipes/howl/howl_1.0.0.bb b/recipes/howl/howl_1.0.0.bb
new file mode 100644
index 0000000000..9acc33018c
--- /dev/null
+++ b/recipes/howl/howl_1.0.0.bb
@@ -0,0 +1,28 @@
+SRC_URI = "http://www.porchdogsoft.com/download/howl-${PV}.tar.gz \
+ file://posix.patch;patch=1;pnum=0 \
+ file://configure.patch;patch=1;pnum=0 \
+ file://mdnsresponder.init"
+LICENSE = "howl"
+
+PR = "r2"
+
+INITSCRIPT_NAME = "mdnsresponder"
+INITSCRIPT_PARAMS = "defaults"
+
+PACKAGES += "libhowl libmdnsresponder"
+
+FILES_${PN} = "${bindir} ${sbindir} ${sysconfdir}"
+FILES_libhowl = "${libdir}/libhowl.so.*"
+FILES_libmdnsresponder = "${libdir}/libmDNSResponder.so.*"
+FILES_${PN}-doc += "${datadir}/howl/help"
+
+do_install_append() {
+ install -d ${D}${sysconfdir}/init.d
+ install -d ${D}${sbindir}
+ install -m 0755 ${WORKDIR}/mdnsresponder.init ${D}${sysconfdir}/init.d/mdnsresponder
+ # Debian puts it here, so let's do the same
+ mv ${D}${bindir}/mDNSResponder ${D}${sbindir}
+}
+
+inherit autotools update-rc.d
+